2022-05-27 00:38:45 UTC
46.4 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:73b28a5955ec7fb46f2cf0434e4901a889f7dda3f8c9ec496300feb256c7eda8 - 5.8% (2.69 MB)
[#001] sha256:391c8afaef51779f04c3ac1187db8b78fc7db21ad083e238c63d87db1cac3e7f - 0.0% (1.21 KB)
[#002] sha256:272144bd96fa340c9b93fc45f8c7fe2eb73d4fb7ed1d1889b00ccb36c33a40aa - 94.19% (43.7 MB)
[#003] sha256:4dc9c108bd47049225bdcf7b5eaf51496ed42a6677cb03be286dc08bac370c36 - 0.0% (141 Bytes)
[#004] sha256:22714879022df314c834aab7cfc95e5ddf2c15e6e249c58647ce837a38e2e223 - 0.0% (153 Bytes)
[#005] sha256:b016f55e100e814742ac0c183e6c7713ed9d97ec6828fcc23513270853dc41da - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:7d51a0f8691eb78c9062fd31984423a93d276a67b4ed5d1a706e1c2cd9fea23a in /
2022-04-04 23:38:25 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-05-27 00:38:26 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.1
2022-05-27 00:38:27 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.1 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-05-27 00:38:28 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-05-27 00:38:29 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-05-27 00:38:37 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-05-27 00:38:37 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-05-27 00:38:38 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-05-27 00:38:39 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-05-27 00:38:40 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-05-27 00:38:41 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-05-27 00:38:42 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-05-27 00:38:44 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-05-27 00:38:44 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-05-27 00:38:45 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-05-27 00:19:34 UTC
47.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:df9b9388f04ad6279a7410b85cedfdcb2208c0a003da7ab5613af71079148139 - 5.68% (2.68 MB)
[#001] sha256:b391db2272dd8572d15bc47cc20df18295c0648cd189305d472aa1bffc356c98 - 0.0% (1.24 KB)
[#002] sha256:f630897d0c5627c29734b66bb7c15ff440c26a3678245673daf4d92325d80696 - 94.31% (44.6 MB)
[#003] sha256:1cdc2ce1c36761fb1ca7c1d5c0c800ce548dd03f238f6cf3f5e5b7a024d1b7b2 - 0.0% (173 Bytes)
[#004] sha256:cb265032eceb98e0ad9ba23a8b7892aa3fe8de31d4ce9e4a3192217010a73458 - 0.0% (154 Bytes)
[#005] sha256:d9f97ba508f4708430f4b6d57418d58b746aaea1c181e719a16d6985d66b79b2 - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:5d673d25da3a14ce1f6cf66e4c7fd4f4b85a3759a9d93efb3fd9ff852b5b56e4 in /
2022-04-05 00:19:59 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-05-27 00:19:25 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.1
2022-05-27 00:19:25 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.1 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-05-27 00:19:26 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-05-27 00:19:26 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-05-27 00:19:32 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-05-27 00:19:33 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-05-27 00:19:33 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-05-27 00:19:33 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-05-27 00:19:34 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-05-27 00:19:34 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-05-27 00:19:34 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-05-27 00:19:34 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-05-27 00:19:34 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-05-27 00:19:34 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-05-26 23:49:58 UTC
45.2 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:c319b1fc4ed70b8241a7ce6ac0c4015d354bf5cf8c01eb73c50b6709c0c46e49 - 5.53% (2.5 MB)
[#001] sha256:d5cb4c4c3afb892ee585d2649992a3bf23eb45616cc45c264ed7eae5aa80822a - 0.0% (1.24 KB)
[#002] sha256:65d986cf3e2d9c43ce9adb5d2362b5dadb79276dcc6159f063b163c0b5fc49aa - 94.46% (42.7 MB)
[#003] sha256:e59ea9a0642b231f9c41fd2c828aed5fc0b8430e96bb2dcb34483c7af26e6946 - 0.0% (173 Bytes)
[#004] sha256:1f79020a067d2fea31a81bd2349a3ede21db680c58a2c27387ca7c4a60f587ec - 0.0% (154 Bytes)
[#005] sha256:220bd70c9f7084a723e583daf42799db25536c9671966f6606077d1ca11878e6 - 0.0% (1.74 KB)
/bin/sh -c #(nop) ADD file:159dcddaab900372df882a4e94615ed84250e9cea3e74bc0479d98280342f596 in /
2022-04-04 23:49:42 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-05-26 23:49:35 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.1
2022-05-26 23:49:35 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.1 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-05-26 23:49:36 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-05-26 23:49:37 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-05-26 23:49:52 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-05-26 23:49:53 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-05-26 23:49:55 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-05-26 23:49:55 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-05-26 23:49:56 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-05-26 23:49:56 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-05-26 23:49:56 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-05-26 23:49:57 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-05-26 23:49:57 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-05-26 23:49:58 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]
2022-05-27 00:39:50 UTC
45 MB
https://releases.hashicorp.com
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:9981e73032c8833e387a8f96986e560edbed12c38119e0edb0439c9c2234eac9 - 5.76% (2.59 MB)
[#001] sha256:7e4ff6c33779613105dbec6b21756c19b70169c94c6c7d4ff4951caa407247b3 - 0.0% (1.21 KB)
[#002] sha256:727eff5edc26b57b0a20da9c019343e9f4d22b501c658a021da560f94026a7d5 - 94.23% (42.4 MB)
[#003] sha256:3189706d6b6ecee8505d5005a7300f8a9851f86d7021bd7573308ce1496b1855 - 0.0% (143 Bytes)
[#004] sha256:9a7d6353e5754dd88dd932890a3520d3ae1af270bee795c2a297e80ab7671a88 - 0.0% (154 Bytes)
[#005] sha256:e52059fc9848d11fcc67188c08847607e842ab26d06fec9a5166864fef1c7077 - 0.0% (1.75 KB)
/bin/sh -c #(nop) ADD file:90e56af13188c7f0283d244a0d70b853d8bef8587a41f1da8eac3a2aba8964ef in /
2022-04-04 23:39:31 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2022-05-27 00:39:31 UTC/bin/sh -c #(nop) ARG CONSUL_VERSION=1.12.1
2022-05-27 00:39:31 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.12.1 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
2022-05-27 00:39:32 UTC/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com
2022-05-27 00:39:33 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c addgroup consul && adduser -S -G consul consul
2022-05-27 00:39:42 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version
2022-05-27 00:39:43 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul
2022-05-27 00:39:43 UTC|1 CONSUL_VERSION=1.12.1 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf
2022-05-27 00:39:44 UTC/bin/sh -c #(nop) VOLUME [/consul/data]
2022-05-27 00:39:45 UTC/bin/sh -c #(nop) EXPOSE 8300
2022-05-27 00:39:46 UTC/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp
2022-05-27 00:39:47 UTC/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp
2022-05-27 00:39:49 UTC/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh
2022-05-27 00:39:49 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]
2022-05-27 00:39:50 UTC/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]